Bug 605413 - Review Request: pymongo - Python driver for MongoDB
Summary: Review Request: pymongo - Python driver for MongoDB
Status: CLOSED DUPLICATE of bug 644708
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-17 21:09 UTC by Ian Weller
Modified: 2010-10-20 02:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-11 07:55:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pymongo spec with el5 fixes (2.68 KB, application/octet-stream)
2010-10-11 04:52 UTC, Nathaniel McCallum
no flags Details

Description Ian Weller 2010-06-17 21:09:18 UTC
Spec URL: http://ianweller.fedorapeople.org/SRPMS/pymongo/1.6-1/pymongo.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/pymongo/1.6-1/pymongo-1.6-1.fc13.src.rpm
Description: 
The PyMongo distribution contains tools for interacting with MongoDB database
from Python. The pymongo package is a native Python driver for MongoDB. The
gridfs package is a gridfs implementation on top of pymongo.

Comment 1 Thomas Spura 2010-06-19 15:57:14 UTC
Just a few comments for now:

- There is a new version, released just seconds, after your review request ;)

- There is an anoying private-shared-object-provides warning from rpmlint. This can be easily grepped out of the provides list, but that's only a workaround.

  I just mailed the python list about this and hopefully this will be fixed in the find-requires script and not workaround this in any python package, that's not noarch...
  http://lists.fedoraproject.org/pipermail/python-devel/2010-June/000260.html

- Didn't have a close look yet, but on upstreams page is a testsuite mentioned, could you please add a %check section?

Comment 2 Ian Weller 2010-06-19 19:01:38 UTC
(In reply to comment #1)
> - There is a new version, released just seconds, after your review request ;)

Well, that's irritating. ;)

> - Didn't have a close look yet, but on upstreams page is a testsuite mentioned,
> could you please add a %check section?    

The test suite requires a running mongoDB server so I don't think that's something we want to hack together in %check.

New spec in a bit, just wanted to respond to that last thing before I forgot.

Comment 3 Marian Csontos 2010-09-03 10:49:58 UTC
Though I do not like uppercase, may be using PyMongo as name would be more appropriate: the project refers to itself PyMongo everywhere.

This distinguishes between PyMongo project and pymongo python package.

IIUC PyMongo == pymongo + gridfs

Comment 4 Matthias Runge 2010-09-06 09:45:38 UTC
As Marian suggested, you should probably divide gridfs and pymongo or make at least subpackages. e.g. PyMongo-gridfs and PyMongo-pymongo.

Comment 5 Matthias Runge 2010-09-23 07:26:15 UTC
Ping Ian. 

Any progress? mongodb is now a package included in fedora etc. 

https://admin.fedoraproject.org/pkgdb/acls/name/mongodb/

How can I support you?

Comment 6 Silas Sewell 2010-09-28 15:10:07 UTC
Here is my personal spec that addresses some things mentioned above (as you can see I prefer lowercase names, something Debian gets right).

http://github.com/silas/rpms/raw/master/pymongo/pymongo.spec

Ian Weller if you update your spec I'd be happy to review it, otherwise I'd also be happy to take the request over if you're not interested anymore.

Comment 7 Nathaniel McCallum 2010-10-11 03:50:19 UTC
Silas, if you want to run with it, I'll do the review.  Or vice-versa.  I just want it packaged. ;)

Comment 8 Ian Weller 2010-10-11 03:51:46 UTC
Either of you can go ahead and take it, I've got no time. Sorry for the delays guys :(

Comment 9 Nathaniel McCallum 2010-10-11 04:52:54 UTC
Created attachment 452639 [details]
pymongo spec with el5 fixes

Comment 10 Matthias Runge 2010-10-11 07:23:48 UTC
Oh great, guys. If you need any help, I'd jump in.

Comment 11 Thomas Spura 2010-10-11 07:55:04 UTC
(In reply to comment #8)
> Either of you can go ahead and take it, I've got no time. Sorry for the delays
> guys :(

-> Closing as NOTABUG

Anyone, who wants to continue the review of pymongo needs to open a own review request and close this one as a dub of the new one, see:
http://fedoraproject.org/wiki/Extras/Policy/StalledReviews#Submitter_not_responding

Comment 12 Silas Sewell 2010-10-20 02:14:59 UTC

*** This bug has been marked as a duplicate of bug 644708 ***


Note You need to log in before you can comment on or make changes to this bug.